Package org.silverpeas.components.kmelia.export

## Interface DocumentTemplateParts

-     public interface DocumentTemplateParts

  This interface defines the different parts a template for export must be compound of. Each part in the template is uniquely identified by a name, and they can be programmatically retrieved by this name.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `FIELD_AUTHOR` | Field in the template corresponding to the author (the creator) of the publication to export.
    `static String` | `FIELD_CREATION_DATE` | Field in the template corresponding to the creation date of the publication to export.
    `static String` | `FIELD_DESCRIPTION` | The field in the template corresponding to the description of the publication to export.
    `static String` | `FIELD_LAST_MODIFIER` | Field in the template corresponding to the user that has lastly modified the publication to export.
    `static String` | `FIELD_MODIFICATION_DATE` | Field in the template corresponding to the last modification date of the publication to export.
    `static String` | `FIELD_URL` | Field in the template corresponding to the URL of the publication to export.
    `static String` | `FIELD_VERSION` | Field in the template corresponding to the version of the publication to export.
    `static String` | `LIST_OF_ATTACHMENTS` |
    `static String` | `LIST_OF_COMMENTS` |
    `static String` | `LIST_OF_LINKS` |
    `static String` | `LIST_OF_METADATA` | The area in which the metadata about the publication are rendered.
    `static String` | `SECTION_ATTACHMENTS` | The section in the template relative to the attachments of the publication.
    `static String` | `SECTION_CLASSIFICATION` | The section in the template relative to the classification of the publication.
    `static String` | `SECTION_COMMENTS` | The section in the template that renders the publication's comments.
    `static String` | `SECTION_CONTENT` | The section in the template that renders the publication's content.
    `static String` | `SECTION_INFO` | The section in the template relative to the information about the publication.
    `static String` | `SECTION_SEEALSO` | The section in the template relative to the links to others publications.

- - ### Field Detail

    - #### FIELD_AUTHOR

          static final String FIELD_AUTHOR

      Field in the template corresponding to the author (the creator) of the publication to export.
      See Also:
        Constant Field Values

    - #### FIELD_LAST_MODIFIER

          static final String FIELD_LAST_MODIFIER

      Field in the template corresponding to the user that has lastly modified the publication to export.
      See Also:
        Constant Field Values

    - #### FIELD_MODIFICATION_DATE

          static final String FIELD_MODIFICATION_DATE

      Field in the template corresponding to the last modification date of the publication to export.
      See Also:
        Constant Field Values

    - #### FIELD_CREATION_DATE

          static final String FIELD_CREATION_DATE

      Field in the template corresponding to the creation date of the publication to export.
      See Also:
        Constant Field Values

    - #### FIELD_URL

          static final String FIELD_URL

      Field in the template corresponding to the URL of the publication to export.
      See Also:
        Constant Field Values

    - #### FIELD_VERSION

          static final String FIELD_VERSION

      Field in the template corresponding to the version of the publication to export.
      See Also:
        Constant Field Values

    - #### FIELD_DESCRIPTION

          static final String FIELD_DESCRIPTION

      The field in the template corresponding to the description of the publication to export.
      See Also:
        Constant Field Values

    - #### SECTION_INFO

          static final String SECTION_INFO

      The section in the template relative to the information about the publication.
      See Also:
        Constant Field Values

    - #### SECTION_ATTACHMENTS

          static final String SECTION_ATTACHMENTS

      The section in the template relative to the attachments of the publication.
      See Also:
        Constant Field Values

    - #### SECTION_SEEALSO

          static final String SECTION_SEEALSO

      The section in the template relative to the links to others publications.
      See Also:
        Constant Field Values

    - #### SECTION_CLASSIFICATION

          static final String SECTION_CLASSIFICATION

      The section in the template relative to the classification of the publication.
      See Also:
        Constant Field Values

    - #### SECTION_COMMENTS

          static final String SECTION_COMMENTS

      The section in the template that renders the publication's comments.
      See Also:
        Constant Field Values

    - #### SECTION_CONTENT

          static final String SECTION_CONTENT

      The section in the template that renders the publication's content.
      See Also:
        Constant Field Values

    - #### LIST_OF_METADATA

          static final String LIST_OF_METADATA

      The area in which the metadata about the publication are rendered. The metadata are displayed in the text section defined by SECTION_INFO.
      See Also:
        Constant Field Values

    - #### LIST_OF_COMMENTS

          static final String LIST_OF_COMMENTS

      See Also:
        Constant Field Values

    - #### LIST_OF_ATTACHMENTS

          static final String LIST_OF_ATTACHMENTS

      See Also:
        Constant Field Values

    - #### LIST_OF_LINKS

          static final String LIST_OF_LINKS

      See Also:
        Constant Field Values